Package fr.gouv.vitam.common.exception

# Class VitamClientInternalException

java.lang.Object
java.lang.Throwable
java.lang.Exception
fr.gouv.vitam.common.exception.VitamException
fr.gouv.vitam.common.exception.VitamClientException
fr.gouv.vitam.common.exception.VitamClientInternalException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CollectInternalClientException`

public class VitamClientInternalException extends VitamClientException
Internal exception throws by any vitam java client when unknown issue occurs

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VitamClientInternalException(String message)`
  Basic constructor to indicate a simple error message without stacktrace
  `VitamClientInternalException(String message, Throwable cause)`
  Constructor used to encapsulate a previously thrown exception but with a custom meaningful message
  `VitamClientInternalException(Throwable cause)`
  Constructor used to encapsulate a previously thrown exception.

- ## Method Summary

  ### Methods inherited from class fr.gouv.vitam.common.exception.VitamException

  `getVitamError, setVitamError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VitamClientInternalException

    public VitamClientInternalException(String message)
    Basic constructor to indicate a simple error message without stacktrace
    Parameters:
      `message` - message to log

  - ### VitamClientInternalException

    public VitamClientInternalException(Throwable cause)
    Constructor used to encapsulate a previously thrown exception. A generic message is used.
    Parameters:
      `cause` - the originating exception

  - ### VitamClientInternalException

    public VitamClientInternalException(String message, Throwable cause)
    Constructor used to encapsulate a previously thrown exception but with a custom meaningful message
    Parameters:
      `message` - the message to log throw threw
      `cause` - the originating exception